﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Xamarin.Forms.Internals;

namespace Popup_Demo
{
    public partial class MainPage : ContentPage
    {
        SfPopupLayout menuPopup;
        SfPopupLayout popup1;
        SfPopupLayout popup2;
        DataTemplate dataTemplate;
        public MainPage()
        {
            InitializeComponent();
            CreateMenuPopup();
            CreatePopup1();
            CreatePopup2();
        }

        private void CreatePopup2()
        {
            popup1 = new SfPopupLayout();
            popup1.PopupView.ContentTemplate = new DataTemplate(() =>
            {
                return new Button()
                {
                    Text = "This is Popup 1"
                };
            });
        }

        private void CreatePopup1()
        {
            popup2 = new SfPopupLayout();
            popup2.PopupView.ContentTemplate = new DataTemplate(() =>
            {
                return new Button()
                {
                    Text = "This is Popup 2"
                };
            });
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            menuPopup.Show(0,0);
        }

        void CreateMenuPopup()
        {
            menuPopup = new SfPopupLayout();
            menuPopup.Padding = 10;
            menuPopup.PopupView.ShowFooter = false;
            menuPopup.PopupView.ShowHeader = false;

            dataTemplate = new DataTemplate(() =>
            {
                var menuItems = new List<string>() { "A", "B", "C" };
                ListView listView = new ListView();
                listView.ItemsSource = menuItems;
                return listView;
            });
            menuPopup.PopupView.ContentTemplate = dataTemplate;
        }

        private void Button_Clicked_1(object sender, EventArgs e)
        {
            popup1.Show(10, 10);
        }

        private void Button_Clicked_2(object sender, EventArgs e)
        {
            popup2.Show(20, 20);
        }
    }
}






































